Subject: Re: [PATCH] RDMA/rds: Remove duplicate MODULE_LICENSE() from ib.c

From: Leon Romanovsky <[email-masked]>
Date: Thu, 18 Jul 2024 11:44:34 +0300

On Wed, Jul 17, 2024 at 04:45:36PM -0700, Jeff Johnson wrote:
> Since commit 1fffe7a34c89 ("script: modpost: emit a warning when the
> description is missing"), a module without a MODULE_DESCRIPTION() will
> result in a warning with make W=1. One strategy for identifying such
> modules is to search for files which have a MODULE_LICENSE() but which
> do not have a MODULE_DESCRIPTION(). net/rds/ib.c is one such file. And
> its product, ib.o, is a component of the rds_rdma module via:
> 
> obj-$(CONFIG_RDS_RDMA) += rds_rdma.o
> rds_rdma-y :=	rdma_transport.o \
> 			ib.o ib_cm.o ib_recv.o ib_ring.o ib_send.o ib_stats.o \
> 			ib_sysctl.o ib_rdma.o ib_frmr.o
> 
> Interestingly, when CONFIG_RDS_RDMA=m, the missing description warning
> is NOT emitted by modpost. This is because rdma_transport.c contains a
> MODULE_DESCRIPTION() that describes this module. And in addition,
> rdma_transport.c contains a MODULE_LICENSE() for this module.
> 
> Since rdma_transport.c already contains both the MODULE_LICENSE() and
> the MODULE_DESCRIPTION() for the rds_rdma module, remove the duplicate
> MODULE_LICENSE() from ib.c
> 
> Signed-off-by: Jeff Johnson <[email-masked]>
> ---
>  net/rds/ib.c | 2 --
>  1 file changed, 2 deletions(-)

The title of the patch is wrong, it should be "net/rds: Remove duplicate MODULE_LICENSE() from ib.c"

Thanks